﻿Public Class Form1

  Private m_oInMemoryBitmapTileCache As ThinkGeo.MapSuite.Core.InMemoryBitmapTileCache


  Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    Me.Init()
  End Sub

  Private Sub Init()

    Dim oLayer1, oLayer2 As ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer
    Dim oLayerOverlay1, oLayerOverlay2 As ThinkGeo.MapSuite.DesktopEdition.LayerOverlay

    WinformsMap1.MapUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter
    WinformsMap1.ThreadingMode = ThinkGeo.MapSuite.DesktopEdition.MapThreadingMode.Multithreaded

    m_oInMemoryBitmapTileCache = New ThinkGeo.MapSuite.Core.InMemoryBitmapTileCache()
    m_oInMemoryBitmapTileCache.TileMatrix.BoundingBoxUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter

    oLayer1 = New ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer(System.IO.Path.Combine(System.Environment.CurrentDirectory, "MapData\alk-gebaeude-objekt.shp"))
    oLayer1.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = ThinkGeo.MapSuite.Core.AreaStyles.Water2
    oLayer1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ThinkGeo.MapSuite.Core.ApplyUntilZoomLevel.Level20

    oLayer2 = New ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer(System.IO.Path.Combine(System.Environment.CurrentDirectory, "MapData\alk-gebaeude-objekt.shp"))
    oLayer2.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = New ThinkGeo.MapSuite.Core.AreaStyle(New ThinkGeo.MapSuite.Core.GeoPen(ThinkGeo.MapSuite.Core.GeoColor.SimpleColors.Black))
    oLayer2.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ThinkGeo.MapSuite.Core.ApplyUntilZoomLevel.Level20

    oLayerOverlay1 = New ThinkGeo.MapSuite.DesktopEdition.LayerOverlay()
    oLayerOverlay1.Layers.Add("Layer1", oLayer1)

    oLayerOverlay2 = New ThinkGeo.MapSuite.DesktopEdition.LayerOverlay()
    oLayerOverlay2.Layers.Add("Layer2", oLayer2)

    WinformsMap1.Overlays.Add("Overlay1", oLayerOverlay1)
    WinformsMap1.Overlays.Add("Overlay2", oLayerOverlay2)

    oLayer1.Open()
    WinformsMap1.CurrentExtent = oLayer1.GetBoundingBox
    oLayer1.Close()

    WinformsMap1.Refresh()

  End Sub

  Private Sub CheckBox1_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged

    If CheckBox1.Checked Then

      With Me.WinformsMap1.Overlays("Overlay2")
        .TileCache = m_oInMemoryBitmapTileCache
        .IsBase = True
      End With

    Else

      With Me.WinformsMap1.Overlays("Overlay2")
        .TileCache = Nothing
        .IsBase = False
      End With

    End If

    m_oInMemoryBitmapTileCache.ClearCache()

  End Sub

End Class
